body {
  margin: 0;
  font-family: Arial;
  background: radial-gradient(circle,#020617,#000);
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
}

.menu {
  width: 90%;
  max-width: 360px;
  padding: 20px;
  border-radius: 20px;
  background: rgba(255,255,255,0.05);
  backdrop-filter: blur(15px);
  box-shadow: 0 0 25px #38bdf8;
  text-align: center;
}

.grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 10px;
}

button {
  padding: 12px;
  border-radius: 12px;
  border: none;
  background: #0f172a;
  color: #38bdf8;
  cursor: pointer;
  transition: 0.3s;
  box-shadow: 0 0 10px #38bdf8;
}

button:hover {
  background: #38bdf8;
  color: black;
}

.active {
  background: #22c55e !important;
}

input {
  width: 90%;
  padding: 10px;
  border-radius: 10px;
  border: none;
  margin-bottom: 10px;
  font-size: 16px;
}

.loading {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: black;
  display: none;
  justify-content: center;
  align-items: center;
  font-size: 20px;
}

.buy {
  font-size: 12px;
  color: #38bdf8;
}
